#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2.1
visibility:           public
id:                   primitive-extras-0.10.2.1-ErbEv6gs3vhCApYxNlKa0Q
key:                  primitive-extras-0.10.2.1-ErbEv6gs3vhCApYxNlKa0Q
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  10a72b6b41ed4d6d3ec14173fca0ecc4
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.1-ErbEv6gs3vhCApYxNlKa0Q
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-lbnZAbOpvSLv2iglmQoSJ
    focus-1.0.3.2-DUisydXMUOgDYzFpRrIgI8
    foldl-1.4.17-Bnx87JjTrm8S1EzaLHFEB
    list-t-1.0.5.5-CvLHn1YjFMFLDig0OlPxk4
    primitive-0.7.4.0-1w3GR7mQ1Fh1teJ7kcmZ9k
    primitive-unlifted-0.1.3.1-ITpVuO8rnL1JRNSNXjAOwb
    profunctors-5.6.2-Fpx6S0nzAwaICwruRKgsWJ
    vector-0.13.1.0-LgUMl9iMMxZ36i6grq2qn1

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

